Skip to main content
PATCH
Update a destination

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

destination
string
required

The destination ID.

Body

application/json
updateMask
string[]
required

Array of field paths specifying which fields to update. Allowed values include:

  • name
  • metadata.url
  • metadata.headers
  • metadata.region
  • metadata.streamName
  • metadata.endpointUrl
  • metadata.partitionKeyTemplate
  • metadata.bucket
  • metadata.keyTemplate
  • metadata.storageClass
  • secrets.awsKeyId
  • secrets.awsSecretKey
  • secrets.awsSessionToken
Example:
destination
object
required

Response

Updated

id
string
required

The destination ID.

name
string
required

User-defined name for the destination.

Example:

"leadConvertedWebhook"

type
string
required

The type of the destination.

Example:

"webhook"

metadata
object
required
createTime
string<date-time>
required

The time the destination was created.

updateTime
string<date-time>

The time the destination was updated.